package fr.monkhanny.dorfromantik.listeners;

import javax.swing.JFrame;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

public class GameSettingsWindowListener implements WindowListener {
    private JFrame gameFrame;

    public GameSettingsWindowListener(JFrame gameFrame) {
        this.gameFrame = gameFrame;
    }

    @Override
    public void windowOpened(WindowEvent e) {
        // Rien à faire ici
    }

    @Override
    public void windowClosing(WindowEvent e) {
        // Réafficher la gameFrame
        gameFrame.setVisible(true);
    }

    @Override
    public void windowClosed(WindowEvent e) {
        // Rien à faire ici
    }

    @Override
    public void windowIconified(WindowEvent e) {
        // Rien à faire ici
    }

    @Override
    public void windowDeiconified(WindowEvent e) {
        // Rien à faire ici
    }

    @Override
    public void windowActivated(WindowEvent e) {
        // Rien à faire ici
    }

    @Override
    public void windowDeactivated(WindowEvent e) {
        // Rien à faire ici
    }
}